Page MenuHomePhabricator

gblrename log_type missing on replicas
Closed, ResolvedPublic

Description

gblrename log_type is no longer replicated/available in the replicated db's:

MariaDB [metawiki_p]> SELECT DISTINCT log_type FROM logging WHERE log_type = "gblrename";
Empty set (0.01 sec)
MariaDB [metawiki_p]> SELECT DISTINCT log_type FROM logging;
+-------------------+
| log_type          |
+-------------------+
| abusefilter       |
| block             |
| contentmodel      |
| delete            |
| gblblock          |
| gblrights         |
| globalauth        |
| import            |
| lock              |
| managetags        |
| massmessage       |
| merge             |
| move              |
| newusers          |
| notifytranslators |
| pagelang          |
| pagetranslation   |
| patrol            |
| protect           |
| renameuser        |
| review            |
| rights            |
| tag               |
| thanks            |
| timedmediahandler |
| translationreview |
| upload            |
| usermerge         |
+-------------------+
28 rows in set (0.17 sec)

This is since 13 October.

Related with T178052? Has been initially reported here.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 22 2017, 8:07 AM
Base added a subscriber: Base.Oct 22 2017, 8:15 AM
bd808 added a comment.Oct 23 2017, 5:19 AM

The gblrename type was not in the list of allowed log types from before we made changes for T178052: pagetranslation log_type missing on replicas on 2017-10-16 (rOPUP7b81e4ce78b5: maintain-views: Add log types to logging_whitelist).

The list in T178052#3681534 was only from commonswiki. I made a list from commonswiki, enwiki, enwikibooks, enwikinews, enwikiquote, enwikisource, enwikiversity, enwikivoyage, enwiktionary, metawiki, and mediawikiwiki. Then I compared that list to the current values in maintain-views.yaml:

$ diff -u allowed-logs.txt all-logs.txt
--- allowed-logs.txt    2017-10-23 05:04:13.183311522 +0000
+++ all-logs.txt        2017-10-23 05:04:26.579294007 +0000
@@ -1,4 +1,5 @@
   - abusefilter
+  - articlefeedbackv5
   - block
   - campus
   - close
@@ -8,17 +9,23 @@
   - eparticle
   - gather
   - gblblock
+  - gblrename
   - gblrights
   - globalauth
   - gwtoolset
   - import
   - institution
   - instructor
+  - interwiki
+  - liquidthreads
   - lock
   - managetags
   - massmessage
   - merge
+  - moodbar
   - move
+  - mwoauthconsumer
+  - newsletter
   - newusers
   - notifytranslators
   - online
@@ -31,8 +38,10 @@
   - renameuser
   - review
   - rights
+  - spamblacklist
   - stable
   - student
+  - suppress
   - tag
   - thanks
   - timedmediahandler

Per T178052#3684930 suppress, spamblacklist and titleblacklist are deliberately excluded.

@Bawolff, what are your thoughts on the others?

  • articlefeedbackv5
  • gblrename
  • interwiki
  • liquidthreads
  • moodbar
  • mwoauthconsumer
  • newsletter

Please note that moodbar tables were removed: T153033
On the same note, interwiki ones were truncated: T169376

I was a little unsure about articlefeedbackv5 at first - Lots of instances of "This IP commented on article", which seemed a little sketchy when all the comments are gone, but you can already get that info via https://en.wikipedia.org/w/api.php?action=query&list=logevents&leuser=94.7.169.183 so I guess its ok (and similar for moodbar).

On the same note, interwiki ones were truncated: T169376

The interwiki log entries are from wikitravel prior to the WMF import, where they used Extension:Interwiki to manage their interwiki table. This doesn't apply to WMF wikis, but it is a part of the wikivoyage history, so I see no reason to hide it.


Anyways, in conclusion, those 7 log types are fine.

Change 386465 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] maintain-views: add additional log types

https://gerrit.wikimedia.org/r/386465

bd808 moved this task from Backlog to Wiki replicas on the Data-Services board.Oct 26 2017, 3:21 PM

Change 386465 merged by Andrew Bogott:
[operations/puppet@production] maintain-views: add additional log types

https://gerrit.wikimedia.org/r/386465

Andrew closed this task as Resolved.Oct 26 2017, 9:19 PM
Andrew claimed this task.
sbassett moved this task from Backlog to Done on the Security-Team board.Tue, Jun 11, 6:31 PM